<!DOCTYPE html>
<html lang="en">
<head>
	<!-- Title -->
	<title>Pallo | Link Your Card</title>
	<!-- Required Meta Tags Always Come First -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Favicon -->
	<link rel="apple-touch-icon" sizes="180x180" href="/assets/img/favicon/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="/assets/img/favicon/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="/assets/img/favicon/favicon-16x16.png">
	<link rel="manifest" href="/site.webmanifest">
	<link rel="canonical" href="https://www.meetpallo.com/" />
	<link rel='shortlink' href="https://www.meetpallo.com/" />
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="/assets/css/theme.css">
	<script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>
	<style media="screen">
		body { background: #fac05e; color: rgba(0,0,0,0.87); font-family: "Avenir Next", Helvetica, Arial, sans-serif; margin: 0; padding: 0; }
		#message { background: white; max-width: 360px; margin: 100px auto 16px; padding: 32px 24px 16px; border-radius: 3px; }
		#message h3 { color: #888; text-align:center; font-weight: normal; font-size: 16px; margin: 16px 0 12px; }
		#message h2 { color: rgb(64, 199, 75); text-align:center; font-weight: bold; font-size: 30px; margin: 0 0 8px; }
		#message h1 { font-size: 20px; text-align:center; font-weight: 300; color: rgba(0,0,0,0.6); margin: 0 0 16px;}
		#message p { line-height: 140%; text-align:center; margin: 16px 0 24px; font-size: 14px; }
		#message a { margin:10px; display: block; text-align: center; background: #f8f9fa; text-decoration: none; color: #474747; padding: 16px; border-radius: 4px; }
		#message, #message a { box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24); }
		#load { color: rgba(0,0,0,0.4); text-align: center; font-size: 13px; }
		@media (max-width: 600px) {
		body, #message { margin-top: 0; background: white; box-shadow: none; }
		body { border-top: 16px solid #fac05e; }
		}
	</style>
</head>

<body>
	<div id="message">
	</div>

	<script type="text/javascript" src="/assets/js/plugins/jquery.min.js"></script>
	<script type="text/javascript">

	(function($) {
		
		var test = 
		function getUrlParameter(name) {
			name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
			var regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
			var results = regex.exec(location.search);
			return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
		};

		var handler = Plaid.create({

			clientName: 'Pallo',
			// Optional, specify an array of country codes to localize Link
			countryCodes: ['US','CA'],
			env: 'sandbox',
			// Replace with your public_key from the Dashboard
			key: 'b567f9f12cc56ce4c1227ce4de1dba',
			product: ['transactions'],
			// Optional, use webhooks to get transaction and error updates
			webhook: 'https://requestb.in',
			// Optional, specify a language to localize Link
			language: 'en',
			// Optional, specify a user object to enable all Auth features
			onLoad: function() {
			// Optional, called when Link loads
			},
			onSuccess: function(public_token, metadata) {
				console.log(public_token)
				// Send the public_token to your app server.
				// The metadata object contains info about the institution the
				// user selected and the account ID or IDs, if the
				// Select Account view is enabled.
				$.post('/services/plaid/core/accessToken', {
					public_token: public_token,
					accounts: metadata.accounts,
					institution: metadata.institution,
					link_session_id: metadata.link_session_id,
					_puid: "<%= _puid %>",
					_mcat: "<%= _mcat %>"
				})
				.then((data, status, response) => {
					$("#message").append(data);
					console.log(data)
				})
				.fail((response, status, error) => {
					window.location.href = "/services/plaid/view/errors/internal/<%= _puid %>/<%= _mcat %>";
				});
			},
			onExit: function(err, metadata) {
				// The user exited the Link flow.
				// if (err != null) {
				// 	// The user encountered a Plaid API error prior to exiting.
				// 	//--- send message to user about exit in flow
				// 	window.location.href = "/services/plaid/view/errors/internal/<%= _puid %>";
				// }
				window.location.href = "/services/plaid/view/errors/internal/<%= _puid %>/<%= _mcat %>";
				// metadata contains information about the institution
				// that the user selected and the most recent API request IDs.
				// Storing this information can be helpful for support.
			},
			onEvent: function(eventName, metadata) {
				console.log(eventName, metadata)
				// Optionally capture Link flow events, streamed through
				// this callback as your users connect an Item to Plaid.
				// For example:
				// eventName = "TRANSITION_VIEW"
				// metadata  = {
				//   link_session_id: "123-abc",
				//   mfa_type:        "questions",
				//   timestamp:       "2017-09-14T14:42:19.350Z",
				//   view_name:       "MFA",
				// }
			}
		});
		handler.open();
	})(jQuery);
	</script>
</body>
</html>